Subject: bug#9401: 24.0.50; Crash during fontification

From: Stefan Monnier <[email-masked]>
Date: Wed, 31 Aug 2011 08:42:00 -0400

> I've found the bug, and committed a fix.  It was a problem with
> find_defun_start not updating its cache variables consistently.  (Is
> that optimization really necessary?  I guess we can re-examine it some
> other time.)

IIRC this optimization is sometimes important, but it's re-implemented
(in a more sophisticated way) in syntax.el for syntax-ppss, so it would
be good to make the C code somehow use the syntax.el cache.  Maybe the
best way is to change back_comment so that in `lossage' it just calls
a Lisp function (that we'd put in syntax.el), so we can throw away
find_defun_start (and even open_paren_in_column_0_is_defun_start).

        Stefan